package vip.xumy.drools.service;

import java.io.IOException;

import org.kie.api.runtime.KieSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import vip.xumy.drools.conf.DroolsConfig;

/**
 * Ownership belongs to the company
 *
 * @author:mengyxu
 * @date:2023年9月19日
 */

@Service
public class CdrRuleService {
	@Autowired
	private DroolsConfig config;

	public void test(String name, Integer loop) throws IOException {
		KieSession ks = config.kieSession();
		CdrGenerator cdrGenerator = new CdrGenerator(ks, 500, 10000, loop, name);
		cdrGenerator.start();
	}

	public void relaodRules() throws IOException {
		config.reloadRules();
	}

}
