package vip.xumy.drools.ctrl;

import java.io.IOException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import vip.xumy.drools.service.CdrRuleService;

@RestController
@RequestMapping("rule/cdr")
public class CdrRuleController {
	@Autowired
	private CdrRuleService cdrRuleService;

	@GetMapping("{name}/{loop}")
	public void fireAllRules4One(@PathVariable("name")String name, @PathVariable("loop")Integer loop) throws IOException {
		cdrRuleService.test(name, loop);
	}
	
	@GetMapping("reload")
	public void relaodRules() throws IOException {
		cdrRuleService.relaodRules();
	}

}