package vip.xumy.drools.pojo;

import java.util.Date;

import lombok.Data;

@Data
public class CDR {
	private Long id;
	private String callerCN;
	private String calledCN;
	private String imsi;
	private String msisdn;
	private int msgType;
	private Date createTime;
	private long duration;

	public CDR(long id, String callerCN, String calledCN, String imsi, String msisdn, int msgType, Date date) {
		this.id = id;
		this.callerCN = callerCN;
		this.calledCN = calledCN;
		this.imsi = imsi;
		this.msisdn = msisdn;
		this.msgType = msgType;
		if (date == null)
			this.createTime = new Date();
		else
			this.createTime = date;
		this.duration = 50;
	}

	public CDR() {
	}

	public CDR(CDR cdr) {
		id = cdr.id;
		callerCN = cdr.callerCN;
		calledCN = cdr.calledCN;
		imsi = cdr.imsi;
		msisdn = cdr.msisdn;
		msgType = cdr.msgType;
		createTime = cdr.createTime;
		duration = cdr.duration;
	}

//	@Override
//	protected void finalize() throws Throwable {
//		System.out.println(this.id + " is deleted");
//	}

}
